One teammate's day on the phone
GET
/v1/workspace/team/board/people/{user_id}
const url = 'https://api.vocapable.com/v1/workspace/team/board/people/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/team/board/people/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
TeamBoardMemberDay
object
member
required
TeamBoardMember
object
user
required
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
role
required
Role
string
status
required
Status
string
status_label
required
Status Label
string
live_call
required
Any of:
TeamBoardLiveCall
object
call_id
required
Call Id
string
source
required
Source
string
direction
required
Direction
string
with_name
required
With Name
string
since
required
Since
string format: date-time
seconds
required
Seconds
integer
supervisable
Supervisable
boolean
supervised_by
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
null
device_ready
required
Device Ready
boolean
agent
Any of:
TeamBoardAgentState
A teammate’s agent state on the team board (contact-center companies).
object
state
required
State
string
null
calls
required
Calls
integer
conversations
required
Conversations
integer
missed_offers
required
Missed Offers
integer
texts_sent
required
Texts Sent
integer
talk_seconds
required
Talk Seconds
integer
recent_calls
required
Recent Calls
Array<object>
TeamBoardRepCallobject
id
required
Id
string
direction
required
Direction
string
phase
required
Phase
string
with_name
required
With Name
string
started_at
required
Started At
string format: date-time
open_promises
required
Open Promises
Array<object>
TeamBoardPromiseobject
kind
required
Kind
string
id
required
Id
string
title
required
Title
string
promised_at
required
Promised At
string format: date-time
overdue_seconds
required
Overdue Seconds
integer
owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
label
required
Label
string
Example
{ "member": { "role": "owner", "status": "on_call", "live_call": { "source": "workspace_call", "direction": "outbound", "supervisable": false, "supervision_mode": "listen" }, "agent": { "state": "available", "next_state": "available" } }, "recent_calls": [ { "direction": "outbound" } ], "open_promises": [ { "kind": "requested_callback" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}